Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

The sign up endpoint is used to create a new user account. The user will be required to confirm their email address before they can log in. The confirmation email will automatically be sent provided the sign up was succesful.

Request body

username
string
required
The desired username for the user. Must be unique.
email
string
required
The email address for the user. Must be unique.
password
string
required
The password the user uses to login. Encrypted in flight and at rest.
  curl -X POST https://api.onlydrams.app/api/v1/users \
    -H "Content-Type: application/json" \
    -d '{
          "user": {
            "email": EMAIL,
            "username": USERNAME,
            "password": PASSWORD
          }
        }'
{
	"message": "Account successfully created."
}